Summary: RPC server which provides boot information to diskless clients
Name: bootparamd
Version: 0.10
Release: 6
Copyright: BSD
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-bootparamd-0.10.tar.gz
Source1: bootparamd.init
Patch: netkit-bootparamd-0.10-misc.patch
BuildRoot: /var/tmp/bootparamd-root
Prereq: /sbin/chkconfig
Requires: portmap

%description
Some (notably Sun's) network boot loaders rely on special boot server
code on the server, in addition to rarp and tftp servers. This server 
is compatible with the SunOS bootparam clients and servers.

%prep
%setup -q -n netkit-bootparamd-0.10
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/bootparamd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/bootparamd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bootparamd

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del bootparamd
fi

%files
/usr/sbin/rpc.bootparamd
/usr/bin/callbootd
/usr/man/man8/rpc.bootparamd.8
/usr/man/man8/bootparamd.8
%config /etc/rc.d/init.d/bootparamd

%changelog
* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- removed triggerpostun.

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- updated initscript to include functions
- fixed 'stop' action of initscript
- added requirement for portmap

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added an initscript

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
